#include "mainwindow.h"
#include <QDebug>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent)
{
  setupUi(this);
  popupMenuAction = new QAction(QString("action"),this);
  menu = new QMenu(QString("title"),this);
  menu->addAction(popupMenuAction);

  connect(actionMenu,SIGNAL(triggered()),this,SLOT(menuSlot()));
  connect(popupMenuAction,SIGNAL(triggered()),this,SLOT(popupSlot()));
}


void MainWindow::menuSlot()
{
  qDebug()<< "menu slot";
  menu->popup(this->mapToGlobal(QPoint(2,20)),0);
}


void MainWindow::popupSlot()
{
  qDebug()<< "popup slot";
}
